MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026488Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-28 11:592016-04-20 15:48
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026488: The class ShapeUpgrade_UnifySameDomain is not documented.
DescriptionThere is no documentation related to the class ShapeUpgrade_UnifySameDomain
From the information in the header it is not clear:
what the class do;
what does it mean same domain faces (edges);
which faces (edges) can be considered as same domain entities, why;
what is data of the algorithm;
what are the results of the algorithm, why;
what are the results of the functionality ::Generated(...), why;
limitations of the algorithm;
examples of the usage;
and so on...
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025462verifiedbugmaster BRepAlgoAPI_Fuse not work correctly for a planar face 

-  Notes
(0043928)
git (administrator)
2015-08-07 19:05

Branch CR26488 has been created by isn.

SHA-1: 2500173a3dfb8f6b6e7fdd40c7612bd4510cfad7


Detailed log of new commits:

Author: isn
Date: Fri Aug 7 19:04:44 2015 +0300

    0026488: ShapeUpgrade_UnifySameDomain - documentation p1

Author: isn
Date: Thu Aug 6 14:15:46 2015 +0300

    gcc warnings

Author: isn
Date: Wed Aug 5 14:52:35 2015 +0300

    0026489: The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain.
(0043938)
git (administrator)
2015-08-10 14:50

Branch CR26488 has been updated forcibly by isn.

SHA-1: 1753af288b941575a4cfa846eaacc1791b96522e
(0043944)
git (administrator)
2015-08-10 15:14

Branch CR26488 has been updated forcibly by isn.

SHA-1: 9f29ffd746b1e17015388579b958b88e489d4884
(0043945)
git (administrator)
2015-08-10 15:29

Branch CR26488 has been updated forcibly by isn.

SHA-1: 9075b90e217d910b4c7e993bba38dc392dd31853
(0043951)
git (administrator)
2015-08-10 18:38

Branch CR26488 has been updated forcibly by isn.

SHA-1: 3e06699a9fff1e2062f3a6ec7874666fed3e6732
(0044567)
isn (developer)
2015-08-24 18:04

dear atp,
please check the documentation on this functionality.
(CR26488)

(0045093)
git (administrator)
2015-09-04 18:18

Branch CR26488 has been updated by ysn.

SHA-1: 87fe97567eebee5044af3283cad45c360bd5ddee


Detailed log of new commits:

Author: ysn
Date: Fri Sep 4 18:18:16 2015 +0300

    Some grammar corrections.

(0045094)
ysn (developer)
2015-09-04 18:21

Corrected and pushed to the branch.
(0045095)
git (administrator)
2015-09-04 18:45

Branch CR26488_1 has been created by msv.

SHA-1: d14fc1fc13e6bdda06335cf44b50263b68b11a7e


Detailed log of new commits:

Author: isn
Date: Fri Aug 7 19:04:44 2015 +0300

    0026488: The class ShapeUpgrade_UnifySameDomain is not documented.
(0045096)
msv (developer)
2015-09-04 18:46

I have rebased on current master and pushed in new branch CR26488_1.
Please do not test, as only comments and documentation is changed.
(0047072)
git (administrator)
2015-10-16 16:57

Branch CR26488 has been deleted by kgv.

SHA-1: 87fe97567eebee5044af3283cad45c360bd5ddee
(0047073)
git (administrator)
2015-10-16 16:57

Branch CR26488_1 has been deleted by kgv.

SHA-1: d14fc1fc13e6bdda06335cf44b50263b68b11a7e

- Related Changesets
occt: master cef6867c
Timestamp: 2015-08-07 16:04:44
Author: isn
Committer: bugmaster
Details ] Diff ]
0026488: The class ShapeUpgrade_UnifySameDomain is not documented.
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-28 11:59 pkv New Issue
2015-07-28 11:59 pkv Assigned To => msv
2015-07-28 12:00 pkv Status new => assigned
2015-07-28 12:14 pkv Relationship added child of 0025462
2015-07-28 12:22 msv Assigned To msv => isn
2015-07-28 12:22 msv Target Version 7.0.0 => 7.1.0
2015-07-28 12:22 msv Severity minor => text
2015-08-07 19:05 git Note Added: 0043928
2015-08-10 14:50 git Note Added: 0043938
2015-08-10 15:14 git Note Added: 0043944
2015-08-10 15:29 git Note Added: 0043945
2015-08-10 18:38 git Note Added: 0043951
2015-08-24 18:04 isn Note Added: 0044567
2015-08-24 18:04 isn Assigned To isn => atp
2015-08-24 18:04 isn Status assigned => feedback
2015-08-25 16:07 atp Assigned To atp => ysn
2015-09-04 18:18 git Note Added: 0045093
2015-09-04 18:20 ysn Assigned To ysn => isn
2015-09-04 18:21 ysn Note Added: 0045094
2015-09-04 18:21 ysn Status feedback => assigned
2015-09-04 18:29 msv Assigned To isn => msv
2015-09-04 18:29 msv Status assigned => resolved
2015-09-04 18:45 git Note Added: 0045095
2015-09-04 18:46 msv Note Added: 0045096
2015-09-04 18:46 msv Assigned To msv => bugmaster
2015-09-04 18:46 msv Status resolved => reviewed
2015-09-07 16:35 apv Test case number => Not needed
2015-09-07 16:35 apv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master cef6867c
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-09-25 01:25 abv Target Version 7.1.0 => 7.0.0
2015-10-16 16:57 git Note Added: 0047072
2015-10-16 16:57 git Note Added: 0047073
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker